# DeprecationWarning: 'pipes' of python 3.11, causing a test alarm. Ignore the alarm in python-tox-3.24.5
# you can disable this conditional var, when python-tox >= 3.28.0
%bcond_without test_tox

Summary:        Flexible test automation for Python
Name:           nox
Version:        2022.11.21
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://github.com/wntrblm/nox
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

Patch0001:      %{url}/pull/659.patch
Patch0002:      %{url}/pull/687.patch

BuildRequires:  python3-devel python3-flask python3-myst-parser python3-pytest

BuildArch:      noarch

%description
Nox is a command-line tool that automates testing in multiple Python
environments, similar to tox. Unlike tox, Nox uses a standard Python
file for configuration.


%package -n nox+tox_to_nox
Summary: Metapackage for nox: tox_to_nox extras
Requires: nox = %{version}-%{release}
Requires: python3dist(jinja2)
Requires: python3dist(tox)
Provides: python3dist(nox[tox_to_nox]) = %{version}
Provides: python%{python3_version}dist(nox[tox_to_nox]) = %{version}


%description -n nox+tox_to_nox
This is a metapackage bringing in tox_to_nox extras requires for nox.
It makes sure the dependencies are installed.


%prep
%autosetup -p1 -n nox-%{version}
sed -i "/py._path.local.LocalPath/d" tests/test_virtualenv.py
sed -i "s/2\.7/%python3_version/;s/27/%python3_version_nodots/" tests/test_tox_to_nox.py

%generate_buildrequires
%pyproject_buildrequires -r -x tox_to_nox

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nox

%check
%pytest -k "not test__resolved_interpreter_not_found" \
%if %{with test_tox}
-W ignore::DeprecationWarning \
%endif

%files -f %{pyproject_files}
%{_bindir}/nox
%{python3_sitelib}/nox-2022.11.21.dist-info/licenses/LICENSE
%pycached %exclude %{python3_sitelib}/nox/tox_to_nox.py
%exclude %{python3_sitelib}/nox/tox_to_nox.jinja2
%exclude %{_bindir}/tox-to-nox

%files -n nox+tox_to_nox
%pycached %{python3_sitelib}/nox/tox_to_nox.py
%{python3_sitelib}/nox/tox_to_nox.jinja2
%{_bindir}/tox-to-nox
%{python3_sitelib}/*.dist-info/*


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.11.21-5
- Rebuilt for python 3.11

* Thu Sep 14 2023 Wang Guodong <gordonwwang@tencent.com> - 2022.11.21-4
- Ignore the alarm in python-tox-3.24.5 to fix python3.11 support

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.11.21-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.11.21-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Miaojun Dong <zoedong@tencent.com> - 2022.11.21-1
- initial build
